From e8f2ebf1b0435f17b7dc252ea8086ef6a68e0d9b Mon Sep 17 00:00:00 2001
From: Vidyullatha Kanchanapally <vidyullatha@codeaurora.org>
Date: Wed, 27 Apr 2016 11:58:08 +0530
Subject: [PATCH 2/2] cfg80211: Define macro to indicate prev_bssid connect
 support

Define macro to indicate backport support for prev_bssid
parameter in connect request. This parameter allows the
driver to decide whether to do a new association or a
re-association on a cfg80211 connect request.

Change-Id: I760e2999ec56c9aa0c44ac7b062ee1755192299f
CRs-Fixed: 1004073
Signed-off-by: Vidyullatha Kanchanapally <vidyullatha@codeaurora.org>
Signed-off-by: Liangwei Dong <liangwei@codeaurora.org>
---
 include/net/cfg80211.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/include/net/cfg80211.h b/include/net/cfg80211.h
index f35995a..8e461bd 100644
--- a/include/net/cfg80211.h
+++ b/include/net/cfg80211.h
@@ -68,6 +68,8 @@
 
 struct wiphy;
 
+#define CFG80211_CONNECT_PREV_BSSID 1
+
 /*
  * wireless hardware capability structures
  */
-- 
1.9.1

